ConvergeFu = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceDB-2.0", "FuBarPlugin-2.0"); 
local L = AceLibrary("AceLocale-2.2"):new("ConvergeFu"); 
local Tablet = AceLibrary("Tablet-2.0"); 

ConvergeFu:RegisterDB("ConvergeFuDB"); 
ConvergeFu.hasIcon = true; 
ConvergeFu.defaultPosition = "RIGHT"; 

ConvergeFu.consoleOptions = { 
   type = 'group', 
   args = { 
      announce_guild= { 
         name = L["announce-guild-title"], 
         type = 'group', 
         desc = L["announce-guild-descr"], 
         args = { 
            welcome_new = { 
               name = L["ann-guild-new-initiate-title"], 
               desc = L["ann-guild-new-initiate-descr"], 
               type = 'execute', 
               func = function() SendChatMessage(L["ann-guild-new-initiate-msg"], "GUILD") end 
            }, 
            promote_initiate ={ 
               name = L["ann-guild-promote-title"], 
               desc = L["ann-guild-promote-descr"], 
               type = 'execute', 
               func = function() SendChatMessage(L["ann-guild-promote-msg"], "GUILD") end 
            }, 
            raid_invite_banasea ={ 
               name = L["ann-guild-raid-invite-banasea-title"], 
               desc = L["ann-guild-raid-invite-banasea-descr"], 
               type = 'execute', 
               func = function() SendChatMessage(L["ann-guild-raid-invite-banasea-msg"], "GUILD") end 
            },
            raid_invite_broliant ={ 
               name = L["ann-guild-raid-invite-broliant-title"], 
               desc = L["ann-guild-raid-invite-broliant-descr"], 
               type = 'execute', 
               func = function() SendChatMessage(L["ann-guild-raid-invite-broliant-msg"], "GUILD") end 
            },
            raid_invite_jawa ={ 
               name = L["ann-guild-raid-invite-jawa-title"], 
               desc = L["ann-guild-raid-invite-jawa-descr"], 
               type = 'execute', 
               func = function() SendChatMessage(L["ann-guild-raid-invite-jawa-msg"], "GUILD") end 
            },            
            raid_invite_norena ={ 
               name = L["ann-guild-raid-invite-norena-title"], 
               desc = L["ann-guild-raid-invite-norena-descr"], 
               type = 'execute', 
               func = function() SendChatMessage(L["ann-guild-raid-invite-norena-msg"], "GUILD") end 
            },
            raid_invite_stam ={ 
               name = L["ann-guild-raid-invite-stam-title"], 
               desc = L["ann-guild-raid-invite-stam-descr"], 
               type = 'execute', 
               func = function() SendChatMessage(L["ann-guild-raid-invite-stam-msg"], "GUILD") end 
            }            
         } 
      }, 
      announce_raid= { 
         name = L["announce-raid-title"], 
         type = 'group', 
         desc = L["announce-raid-descr"], 
         args = { 
            fun_run_loot_rules ={ 
               name = L["ann-raid-fun-run-loot-rules-title"], 
               desc = L["ann-raid-fun-run-loot-rules-descr"], 
               type = 'execute', 
               func = function() SendChatMessage(L["ann-raid-fun-run-loot-rules-msg"], "RAID") end 
            },
            kill_order ={ 
               name = L["ann-raid-kill-order-title"], 
               desc = L["ann-raid-kill-order-descr"], 
               type = 'execute', 
               func = function() SendChatMessage(L["ann-raid-kill-order-msg"], "RAID") end 
            },
            raid_end ={ 
               name = L["ann-raid-raid-end-title"], 
               desc = L["ann-raid-raid-end-descr"], 
               type = 'execute', 
               func = function() SendChatMessage(L["ann-raid-raid-end-msg"], "RAID_WARNING") end 
            } 
         } 
      },
      announce_party= { 
         name = L["announce-party-title"], 
         type = 'group', 
         desc = L["announce-party-descr"], 
         args = { 
            party_loot_rules ={ 
               name = L["ann-party-loot-rules-title"], 
               desc = L["ann-party-loot-rules-descr"], 
               type = 'execute', 
               func = function() SendChatMessage(L["ann-party-loot-rules-msg"], "PARTY") end 
            },
            kill_order ={ 
               name = L["ann-party-kill-order-title"], 
               desc = L["ann-party-kill-order-descr"], 
               type = 'execute', 
               func = function() SendChatMessage(L["ann-party-kill-order-msg"], "PARTY") end 
            },
            party_end ={ 
               name = L["ann-party-run-end-title"], 
               desc = L["ann-party-run-end-descr"], 
               type = 'execute', 
               func = function() SendChatMessage(L["ann-party-run-end-msg"], "RAID_WARNING") end 
            } 
         } 
      },
      chat= { 
         name = L["chat-title"], 
         type = 'group', 
         desc = L["chat-descr"], 
         args = {
            chatlist ={ 
               name = L["chat-list-title"], 
               desc = L["chat-list-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/chatlist") end 
            }
         }
      },      
      chat_join= { 
         name = L["chat-join-title"], 
         type = 'group', 
         desc = L["chat-join-descr"], 
         args = {
            condruid ={ 
               name = L["chat-condruid-title"], 
               desc = L["chat-condruid-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/join condruid") end 
            }, 
            conhunter ={ 
               name = L["chat-conhunter-title"], 
               desc = L["chat-conhunter-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/join conhunter") end 
            }, 
            conmage ={ 
               name = L["chat-conmage-title"], 
               desc = L["chat-conmage-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/join conmage") end 
            }, 
            conpaladin ={ 
               name = L["chat-conpaladin-title"], 
               desc = L["chat-conpaladin-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/join conpaladin") end 
            }, 
            conpriest ={ 
               name = L["chat-conpriest-title"], 
               desc = L["chat-conpriest-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/join conpriest") end 
            }, 
            conrogue ={ 
               name = L["chat-conrogue-title"], 
               desc = L["chat-conrogue-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/join conrogue") end 
            }, 
            conshaman ={ 
               name = L["chat-conshaman-title"], 
               desc = L["chat-conshaman-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/join conshaman") end 
            }, 
            conwarlock ={ 
               name = L["chat-conwarlock-title"], 
               desc = L["chat-conwarlock-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/join conwarlock") end 
            }, 
            conwarrior ={ 
               name = L["chat-conwarrior-title"], 
               desc = L["chat-conwarrior-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/join conwarrior") end 
            },
            conhealer ={ 
               name = L["chat-conhealer-title"], 
               desc = L["chat-conhealer-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/join conhealer") end 
            } 
         }
      },
      chat_leave= { 
         name = L["chat-leave-title"], 
         type = 'group', 
         desc = L["chat-leave-descr"], 
         args = {
            condruid ={ 
               name = L["chat-condruid-title"], 
               desc = L["chat-condruid-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/leave condruid") end 
            }, 
            conhunter ={ 
               name = L["chat-conhunter-title"], 
               desc = L["chat-conhunter-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/leave conhunter") end 
            }, 
            conmage ={ 
               name = L["chat-conmage-title"], 
               desc = L["chat-conmage-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/leave conmage") end 
            }, 
            conpaladin ={ 
               name = L["chat-conpaladin-title"], 
               desc = L["chat-conpaladin-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/leave conpaladin") end 
            }, 
            conpriest ={ 
               name = L["chat-conpriest-title"], 
               desc = L["chat-conpriest-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/leave conpriest") end 
            }, 
            conrogue ={ 
               name = L["chat-conrogue-title"], 
               desc = L["chat-conrogue-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/leave conrogue") end 
            }, 
            conshaman ={ 
               name = L["chat-conshaman-title"], 
               desc = L["chat-conshaman-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/leave conshaman") end 
            }, 
            conwarlock ={ 
               name = L["chat-conwarlock-title"], 
               desc = L["chat-conwarlock-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/leave conwarlock") end 
            }, 
            conwarrior ={ 
               name = L["chat-conwarrior-title"], 
               desc = L["chat-conwarrior-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/leave conwarrior") end 
            },
            conhealer ={ 
               name = L["chat-conhealer-title"], 
               desc = L["chat-conhealer-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/leave conhealer") end 
            } 
         }
      },
      chat_who= { 
         name = L["chat-who-title"], 
         type = 'group', 
         desc = L["chat-who-descr"], 
         args = {
            condruid ={ 
               name = L["chat-condruid-title"], 
               desc = L["chat-condruid-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/chatwho condruid") end 
            }, 
            conhunter ={ 
               name = L["chat-conhunter-title"], 
               desc = L["chat-conhunter-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/chatwho conhunter") end 
            }, 
            conmage ={ 
               name = L["chat-conmage-title"], 
               desc = L["chat-conmage-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/chatwho conmage") end 
            }, 
            conpaladin ={ 
               name = L["chat-conpaladin-title"], 
               desc = L["chat-conpaladin-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/chatwho conpaladin") end 
            }, 
            conpriest ={ 
               name = L["chat-conpriest-title"], 
               desc = L["chat-conpriest-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/chatwho conpriest") end 
            }, 
            conrogue ={ 
               name = L["chat-conrogue-title"], 
               desc = L["chat-conrogue-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/chatwho conrogue") end 
            }, 
            conshaman ={ 
               name = L["chat-conshaman-title"], 
               desc = L["chat-conshaman-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/chatwho conshaman") end 
            }, 
            conwarlock ={ 
               name = L["chat-conwarlock-title"], 
               desc = L["chat-conwarlock-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/chatwho conwarlock") end 
            }, 
            conwarrior ={ 
               name = L["chat-conwarrior-title"], 
               desc = L["chat-conwarrior-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/chatwho conwarrior") end 
            },
            conhealer ={ 
               name = L["chat-conhealer-title"], 
               desc = L["chat-conhealer-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/chatwho conhealer") end 
            } 
         }
      },
      raid= { 
         name = L["raid-title"], 
         type = 'group', 
         desc = L["raid-descr"], 
         args = { 
            durability_check_ctra = { 
               name = L["raid-durability-check-title"], 
               desc = L["raid-durability-check-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/radur") end 
            }, 
            ready_check_ctra = { 
               name = L["raid-ready-check-title"], 
               desc = L["raid-ready-check-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raready")  end 
            }, 
            resistance_check_ctra = { 
               name = L["raid-resistance-check-title"], 
               desc = L["raid-resistance-check-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raresist") end 
            },
            version_check_ctra = { 
               name = L["raid-version-check-ctra-title"], 
               desc = L["raid-version-check-ctra-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raversion")  end 
            },
            version_check_dbm = { 
               name = L["raid-version-check-dbm-title"], 
               desc = L["raid-version-check-dbm-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/dbm ver")  end 
            },
            version_check_omen = { 
               name = L["raid-version-check-omen-title"], 
               desc = L["raid-version-check-omen-descr"], 
               type = 'execute', 
               func = function()
                  local t = AceLibrary("Threat-1.0"):GetPartyRevisions()
                  for k, v in pairs(t) do
                    Omen:Print(k .. ": " .. v)
                  end
               end               
            }
         } 
      },
      deadlybossmods= { 
         name = L["dbm-title"], 
         type = 'group', 
         desc = L["dbm-descr"], 
         args = { 
            timer_bio_05min = { 
               name = L["dbm-timer-bio-5min-title"], 
               desc = L["dbm-timer-bio-5min-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/dbm broadcast timer 0h5m "..L["dbm-timer-bio-5min-msg"]) end 
            }, 
            timer_bio_02min = { 
               name = L["dbm-timer-bio-2min-title"], 
               desc = L["dbm-timer-bio-2min-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/dbm broadcast timer 0h2m "..L["dbm-timer-bio-2min-msg"])  end 
            }, 
            timer_raid_begins_15m = { 
               name = L["dbm-timer-raid-begins-15min-title"], 
               desc = L["dbm-timer-raid-begins-15min-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/dbm broadcast timer 0h15m "..L["dbm-timer-raid-begins-15min-msg"]) end 
            }, 
            timer_raid_begins_10m = { 
               name = L["dbm-timer-raid-begins-10min-title"], 
               desc = L["dbm-timer-raid-begins-10min-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/dbm broadcast timer 0h10m "..L["dbm-timer-raid-begins-10min-msg"]) end 
            }, 
            timer_raid_begins_05m = { 
               name = L["dbm-timer-raid-begins-5min-title"], 
               desc = L["dbm-timer-raid-begins-5min-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/dbm broadcast timer 0h5m "..L["dbm-timer-raid-begins-5min-msg"]) end 
            },
            timer_pull_10s_quiet = { 
               name = L["dbm-timer-pullin10s-title"], 
               desc = L["dbm-timer-pullin10s-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/dbm broadcast timer 0h0m10s "..L["dbm-timer-pullin10s-msg"]) end 
            }, 
            timer_pull_05s_quiet = { 
               name = L["dbm-timer-pullin5s-title"], 
               desc = L["dbm-timer-pullin5s-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/dbm broadcast timer 0h0m5s "..L["dbm-timer-pullin5s-msg"]) end 
            }, 
            timer_pull_10s_loud = { 
               name = L["dbm-pulltimer10s-title"], 
               desc = L["dbm-pulltimer10s-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/dbm pull 10s") end 
            }, 
            timer_pull_05s_loud = { 
               name = L["dbm-pulltimer5s-title"], 
               desc = L["dbm-pulltimer5s-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/dbm pull 5s") end 
            },             
            timer_bar_unlock = { 
               name = L["dbm-unlock-title"], 
               desc = L["dbm-unlock-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/dbm unlock") end 
            } 
         } 
      },      
      itemcheckbe= { 
         name = L["itemcheck-elixir-battle-title"], 
         type = 'group', 
         desc = L["itemcheck-elixir-battle-descr"], 
         args = {             
            elixir_majorshadowpower = { 
               name = L["itemcheck-eb-majorshadowpower-title"], 
               desc = L["itemcheck-eb-majorshadowpower-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eb-majorshadowpower-msg"]) end 
            }, 
            elixir_felstrength = { 
               name = L["itemcheck-eb-felstrength-title"], 
               desc = L["itemcheck-eb-felstrength-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eb-felstrength-msg"]) end 
            },
            elixir_majoragility = { 
               name = L["itemcheck-eb-majoragility-title"], 
               desc = L["itemcheck-eb-majoragility-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eb-majoragility-msg"]) end 
            },            
            elixir_majorfirepower = { 
               name = L["itemcheck-eb-majorfirepower-title"], 
               desc = L["itemcheck-eb-majorfirepower-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eb-majorfirepower-msg"]) end 
            },
            elixir_majorfrostpower = { 
               name = L["itemcheck-eb-majorfrostpower-title"], 
               desc = L["itemcheck-eb-majorfrostpower-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eb-majorfrostpower-msg"]) end 
            },
            elixir_mastery = { 
               name = L["itemcheck-eb-mastery-title"], 
               desc = L["itemcheck-eb-mastery-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eb-mastery-msg"]) end 
            },
            elixir_healingpower = { 
               name = L["itemcheck-eb-healingpower-title"], 
               desc = L["itemcheck-eb-healingpower-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eb-healingpower-msg"]) end 
            },
            elixir_majorstrength = { 
               name = L["itemcheck-eb-majorstrength-title"], 
               desc = L["itemcheck-eb-majorstrength-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eb-majorstrength-msg"]) end 
            },
            elixir_adepts = { 
               name = L["itemcheck-eb-adepts-title"], 
               desc = L["itemcheck-eb-adepts-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eb-adepts-msg"]) end 
            },            
            elixir_onslaught = { 
               name = L["itemcheck-eb-onslaught-title"], 
               desc = L["itemcheck-eb-onslaught-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eb-onslaught-msg"]) end 
            }
         } 
      },
      itemcheckge= { 
         name = L["itemcheck-elixir-guardian-title"], 
         type = 'group', 
         desc = L["itemcheck-elixir-guardian-descr"], 
         args = {
            elixir_majormageblood = { 
               name = L["itemcheck-eg-majormageblood-title"], 
               desc = L["itemcheck-eg-majormageblood-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eg-majormageblood-msg"]) end 
            },
            elixir_majordefense = { 
               name = L["itemcheck-eg-majordefense-title"], 
               desc = L["itemcheck-eg-majordefense-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eg-majordefense-msg"]) end 
            },
            elixir_draenicwisdom = { 
               name = L["itemcheck-eg-draenicwisdom-title"], 
               desc = L["itemcheck-eg-draenicwisdom-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eg-draenicwisdom-msg"]) end 
            },
            elixir_earthen = { 
               name = L["itemcheck-eg-earthen-title"], 
               desc = L["itemcheck-eg-earthen-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eg-earthen-msg"]) end 
            },
            elixir_majorfortitude = { 
               name = L["itemcheck-eg-majorfortitude-title"], 
               desc = L["itemcheck-eg-majorfortitude-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eg-majorfortitude-msg"]) end 
            },
            elixir_ironskin = { 
               name = L["itemcheck-eg-ironskin-title"], 
               desc = L["itemcheck-eg-ironskin-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-eg-ironskin-msg"]) end 
            }
         }
      },
      itemcheckflask= { 
         name = L["itemcheck-flask-title"], 
         type = 'group', 
         desc = L["itemcheck-flask-descr"], 
         args = {
            flask_fortification = { 
               name = L["itemcheck-flask-fortification-title"], 
               desc = L["itemcheck-flask-fortification-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-flask-fortification-msg"]) end 
            },
            flask_mightyrestoration = { 
               name = L["itemcheck-flask-mightyrestoration-title"], 
               desc = L["itemcheck-flask-mightyrestoration-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-flask-mightyrestoration-msg"]) end 
            },
            flask_relentlessassault = { 
               name = L["itemcheck-flask-relentlessassault-title"], 
               desc = L["itemcheck-flask-relentlessassault-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-flask-relentlessassault-msg"]) end 
            },
            flask_arcanefort = { 
               name = L["itemcheck-flask-arcanefort-title"], 
               desc = L["itemcheck-flask-arcanefort-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-flask-arcanefort-msg"]) end 
            },
            flask_shadowfort = { 
               name = L["itemcheck-flask-shadowfort-title"], 
               desc = L["itemcheck-flask-shadowfort-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-flask-shadowfort-msg"]) end 
            },
            flask_titans = { 
               name = L["itemcheck-flask-titans-title"], 
               desc = L["itemcheck-flask-titans-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-flask-titans-msg"]) end 
            },
            flask_distilledwisdom = { 
               name = L["itemcheck-flask-distilledwisdom-title"], 
               desc = L["itemcheck-flask-distilledwisdom-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-flask-distilledwisdom-msg"]) end 
            },
            flask_supremepower = { 
               name = L["itemcheck-flask-supremepower-title"], 
               desc = L["itemcheck-flask-supremepower-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-flask-supremepower-msg"]) end 
            },
            flask_unstablebeast = { 
               name = L["itemcheck-flask-unstablebeast-title"], 
               desc = L["itemcheck-flask-unstablebeast-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-flask-unstablebeast-msg"]) end 
            }, 
            flask_unstablesoldier = { 
               name = L["itemcheck-flask-unstablesoldier-title"], 
               desc = L["itemcheck-flask-unstablesoldier-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-flask-unstablesoldier-msg"]) end 
            }, 
            flask_unstablephysician = { 
               name = L["itemcheck-flask-unstablephysician-title"], 
               desc = L["itemcheck-flask-unstablephysician-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-flask-unstablephysician-msg"]) end 
            }, 
            flask_unstablebandit = { 
               name = L["itemcheck-flask-unstablebandit-title"], 
               desc = L["itemcheck-flask-unstablebandit-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-flask-unstablebandit-msg"]) end 
            }, 
            flask_unstablesorcerer = { 
               name = L["itemcheck-flask-unstablesorcerer-title"], 
               desc = L["itemcheck-flask-unstablesorcerer-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-flask-unstablesorcerer-msg"]) end 
            }
         }
      },
      itemcheckgeneral= { 
         name = L["itemcheck-general-title"], 
         type = 'group', 
         desc = L["itemcheck-general-descr"], 
         args = { 
            reagents_general = { 
               name = L["itemcheck-reagents-general-title"], 
               desc = L["itemcheck-reagents-general-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/rareg") end 
            },
            potion_super_healing = { 
               name = L["itemcheck-potion-super-healing-title"], 
               desc = L["itemcheck-potion-super-healing-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-potion-super-healing-msg"]) end 
            }, 
            potion_healing_injector = { 
               name = L["itemcheck-potion-healing-injector-title"], 
               desc = L["itemcheck-potion-healing-injector-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-potion-healing-injector-msg"]) end 
            }, 
            potion_healing_nethergon = { 
               name = L["itemcheck-potion-healing-nethergon-title"], 
               desc = L["itemcheck-potion-healing-nethergon-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-potion-healing-nethergon-msg"]) end 
            },             
            potion_super_mana = { 
               name = L["itemcheck-potion-super-mana-title"], 
               desc = L["itemcheck-potion-super-mana-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-potion-super-mana-msg"]) end 
            },
            potion_mana_injector = { 
               name = L["itemcheck-potion-mana-injector-title"], 
               desc = L["itemcheck-potion-mana-injector-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-potion-mana-injector-msg"]) end 
            }, 
            potion_mana_nethergon = { 
               name = L["itemcheck-potion-mana-nethergon-title"], 
               desc = L["itemcheck-potion-mana-nethergon-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-potion-mana-nethergon-msg"]) end 
            },             
            bandage_heavynether = { 
               name = L["itemcheck-bandage-heavynether-title"], 
               desc = L["itemcheck-bandage-heavynether-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-bandage-heavynether-msg"]) end 
            }, 
            oil_mana_superior = { 
               name = L["itemcheck-oil-mana-superior-title"], 
               desc = L["itemcheck-oil-mana-superior-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-oil-mana-superior-msg"]) end 
            }, 
            oil_wizard_superior = { 
               name = L["itemcheck-oil-wizard-superior-title"], 
               desc = L["itemcheck-oil-wizard-superior-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-oil-wizard-superior-msg"]) end 
            },             
            food_golden_fish_sticks = { 
               name = L["itemcheck-food-golden-fish-sticks-title"],
               desc = L["itemcheck-food-golden-fish-sticks-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-food-golden-fish-sticks-msg"]) end 
            },
            food_ravager_dog = { 
               name = L["itemcheck-food-ravager-dog-title"],
               desc = L["itemcheck-food-ravager-dog-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-food-ravager-dog-msg"]) end 
            },
            food_grilled_mudfish = { 
               name = L["itemcheck-food-grilled-mudfish-title"],
               desc = L["itemcheck-food-grilled-mudfish-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-food-grilled-mudfish-msg"]) end 
            },
            food_blackened_basilisk = { 
               name = L["itemcheck-food-blackened-basilisk-title"],
               desc = L["itemcheck-food-blackened-basilisk-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-food-blackened-basilisk-msg"]) end 
            },
            food_roasted_clefthoof = { 
               name = L["itemcheck-food-roasted-clefthoof-title"],
               desc = L["itemcheck-food-roasted-clefthoof-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-food-roasted-clefthoof-msg"]) end 
            },
            food_feltail_delight = { 
               name = L["itemcheck-food-feltail-delight-title"],
               desc = L["itemcheck-food-feltail-delight-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-food-feltail-delight-msg"]) end 
            },
            food_spicy_crawdad = { 
               name = L["itemcheck-food-spicy-crawdad-title"],
               desc = L["itemcheck-food-spicy-crawdad-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-food-spicy-crawdad-msg"]) end 
            },            
            food_blue_ogre_brew = { 
               name = L["itemcheck-food-blue-ogre-brew-title"],
               desc = L["itemcheck-food-blue-ogre-brew-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/raitem "..L["itemcheck-food-blue-ogre-brew-msg"]) end 
            }
         }
      }
   } 
} 

ConvergeFu:RegisterChatCommand({"/confu"}, ConvergeFu.consoleOptions);
ConvergeFu.OnMenuRequest = ConvergeFu.consoleOptions; 

function ConvergeFu:OnTextUpdate() 
   if (self:IsTextShown()) then 
      self:ShowText(); 
      self:SetText("|cffffffff"..L["labelName"].."|r"); 
   else 
      self:HideText(); 
   end 
end 

function ConvergeFu:OnTooltipUpdate() 
   Tablet:SetHint(L["tabletHint"]); 
end 

function ConvergeFu:OnClick() 
  
end

-- Execute the /command in Chat
function ExecuteChatCommand(arg)
  if( not DEFAULT_CHAT_FRAME ) then return end
  DEFAULT_CHAT_FRAME.editBox:SetText(arg);
  ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox);
end